For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • PUTUpdate Shopping List
            • GETGet Shopping List ID and Name
            • POSTAdd Shopping List Items
            • PUTUpdate Shopping List Items
            • GETList Shopping List Items Extension
            • DELDelete Shopping List Item
            • DELDelete Shopping List
            • POSTDuplicate Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontShopping List

List Shopping List Items Extension

GET
https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items-extension
GET
/api/v2/shoppinglists/items-extension
$curl https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items-extension \
> -H "Authorization: Bearer <token>"
200example-1
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "name": "shopping list name",
6 "description": "Shopping list desc",
7 "status": 0,
8 "isOwner": "1",
9 "products": [
10 {
11 "itemId": 1558,
12 "productId": "107",
13 "baseSku": "DPB",
14 "variantSku": "d1-1",
15 "qty": 5,
16 "basePrice": 34.95,
17 "productUrl": "/sample-dustpan-brush/",
18 "variantId": "130",
19 "productName": "[Sample] Dustpan & Brush",
20 "updatedAt": 1622603634,
21 "createdAt": 1622603183,
22 "optionsList": [
23 {
24 "option_id": "attribute[145]",
25 "option_value": "95"
26 }
27 ],
28 "primaryImage": {
29 "urlThumbnail": "https://cdn11.bigcommerce.com/s-1i6zpxpe3g/products/107/images/351/dustpan1.1554505753.220.290.jpg?c=2"
30 }
31 },
32 {
33 "itemId": 1557,
34 "productId": "93",
35 "baseSku": "SLLPJ",
36 "variantSku": "SLLPJ-6088C959",
37 "qty": 2,
38 "basePrice": 7,
39 "productUrl": "/1-l-le-parfait-jar/",
40 "variantId": "46",
41 "productName": "[Sample] 1 L Le Parfait Jar",
42 "updatedAt": 1622603542,
43 "createdAt": 1622602889,
44 "optionsList": [
45 {
46 "option_id": "attribute[112]",
47 "option_value": "95"
48 }
49 ],
50 "primaryImage": {
51 "urlThumbnail": "https://cdn11.bigcommerce.com/s-1i6zpxpe3g/products/93/images/311/leparfaitmedium3.1554505753.220.290.jpg?c=2"
52 }
53 }
54 ],
55 "customerInfo": {
56 "firstName": "Jo",
57 "lastName": "Sweet"
58 },
59 "grandTotal": 188.75,
60 "pagination": {
61 "totalCount": 2,
62 "offset": 0,
63 "limit": 100
64 }
65 }
66}
Get a shopping list detail information. Equivalent Storefront GraphQL API Query: `shoppingList`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Update Shopping List Items

Next

Delete Shopping List Item

Built with

Get a shopping list detail information. Equivalent Storefront GraphQL API Query: shoppingList. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

idstringOptional
Shopping list ID
offsetstringOptionalDefaults to 0
Pagination offset
limitstringOptionalDefaults to 100
Pagination limit
sortByenumOptional
the field to sort by

Response

OK
codedouble
messagestring>=1 character
dataobject